## org.pentaho.reporting.libraries.formula.parser
Class ParserTools

    java.lang.Object
      org.pentaho.reporting.libraries.formula.parser.ParserTools

    public class ParserTools

extends java.lang.Object

Creation-Date: 03.11.2006, 18:57:23

Author:
  Thomas Morgner

Method Summary
`static java.lang.String` `stripQuote(java.lang.String s)` Unconditionally removes the first and last character of the given string and also unquotes the quoted double-quotes.
`static java.lang.String` `stripReferenceQuote(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### stripReferenceQuote

    public static java.lang.String stripReferenceQuote(java.lang.String s)

### stripQuote

    public static java.lang.String stripQuote(java.lang.String s)

  Unconditionally removes the first and last character of the given string and also unquotes the quoted double-quotes.

  Parameters:
    `s` - the string to be stripped.
  Returns:
    the stripped string.